KAnimWidget Class Reference

`#include <kanimwidget.h>`

Inherits QFrame.

## Public Slots

void | start ()
void | stop ()

## Signals

void | clicked ()

## Public Member Functions

| KAnimWidget (const QString &icons, int size=0, QWidget *parent=0L, const char *name=0L)
virtual | ~KAnimWidget ()
void | setSize (int size)
int | size () const
QString | icons () const
void | setIcons (const QString &icons)

## Protected Slots

void | slotTimerUpdate ()
void | updateIcons ()

## Protected Member Functions

virtual void | drawContents (QPainter *p)
virtual void | leaveEvent (QEvent *e)
virtual void | enterEvent (QEvent *e)
virtual void | hideEvent (QHideEvent *e)
virtual void | showEvent (QShowEvent *e)
virtual void | mousePressEvent (QMouseEvent *e)
virtual void | mouseReleaseEvent (QMouseEvent *e)
virtual void | virtual_hook (int id, void *data)

## Properties

int | size
QString | icons

## Detailed Description

Standard "About KDE" dialog box.

This is a widget used to display animation using multiple individual pixmaps. This widget allows you to deal with variable size icons (e.g., ones that will change based on a global setting) as it loads the icons internally. All you need to do is pass along a list of icon names and their size and everything else is taken care of.

This widget also emits a 'clicked()' signal when it received a mouse press event.

A quick example:

KAnimWidget *anim = new KAnimWidget("kde", 0, this);
anim->start();

That example will search for the pixmaps "one.png", "two.png", and "three.png" in the share/icons/small/ directories as well as the app's pics directory.

Author
  Kurt Granroth granr.nosp@m.oth@.nosp@m.kde.o.nosp@m.rg

Definition at line 55 of file kanimwidget.h.

## Constructor & Destructor Documentation

KAnimWidget::KAnimWidget | ( | const QString & | icons,
|  | int | size = `0`,
|  | QWidget * | parent = `0L`,
|  | const char * | name = `0L`
| ) |  |

This is the most common constructor.

Pass along the name of the animated icons to use (e.g., "kde") for the animation and an optional size to load and you're set. If you omit the size, the default size will be used.

Parameters

  icons | The icons name (e.g., "kde") to use for the animation
  size | The size to load You don't have to set it if the parent is a KToolBar; in this case it will use the toolbar's size.
  parent | The standard parent
  name | The standard internal name

Definition at line 43 of file kanimwidget.cpp.

KAnimWidget::~KAnimWidget | ( |  | ) |

virtual

Destructor.

Definition at line 60 of file kanimwidget.cpp.

## Member Function Documentation

QString KAnimWidget::icons | ( |  | ) | const

Returns the current icons since 3.4.

void KAnimWidget::setIcons | ( | const QString & | icons | ) |

Sets the name of the animated icons to load.

This will use the KIconLoader::loadAnimated method for the actual loading.

Parameters

  icons | The name of the icons to use for the animation

Definition at line 89 of file kanimwidget.cpp.

void KAnimWidget::setSize | ( | int | size | ) |

Sets the size of the icons.

Parameters

  size | The size of the icons

Definition at line 80 of file kanimwidget.cpp.

int KAnimWidget::size | ( |  | ) | const

Returns the current size.

Since
  3.4

void KAnimWidget::start | ( |  | ) |

slot

Starts the animation from frame 1.

Definition at line 67 of file kanimwidget.cpp.

void KAnimWidget::stop | ( |  | ) |

slot

Stops the animation.

This will also reset the widget to frame 1.

Definition at line 73 of file kanimwidget.cpp.

The documentation for this class was generated from the following files:

- kanimwidget.h
- kanimwidget.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys